1 # mpk-install - Install packages.
2 # Copyright (C) 2009 Cesar Strauss
4 # This file is part of Minipack - an automated build tool.
6 # Minipack is free software: you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation, either version 3 of the License, or
9 # (at your option) any later version.
11 # Minipack is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
14 # GNU General Public License for more details.
16 # You should have received a copy of the GNU General Public License
17 # along with Minipack. If not, see <http://www.gnu.org/licenses/>.
21 : ${top_srcdir:=$name-$version}
23 pkg_builddir=$builddir/$name-$version-$release/$top_srcdir
25 if [ ! -d $pkg_builddir ]; then
26 echo >&2 "$(basename $0) install: Could not find the build location of $pkg."
32 if [ ! -f Makefile ]; then
33 echo >&2 "$(basename $0) install: $pkg not build yet."
36 (make install > ../logs/install.log) || fail
42 echo "================="
43 echo "Install failed."
44 echo "================="
49 echo "Usage: $(basename $0) install package-name"
54 if [ -z "$pkg" ]; then
55 echo "Usage: $(basename $0) install package-name ..."
59 recipe=$(get_recipe_name $pkg) || exit 1